Name:           n2n
Version:        2.0.1
Release:        3%{?dist}
Summary:        A layer-two peer-to-peer virtual private network

Group:          Applications/Internet
License:        GPLv3+
URL:            http://www.ntop.org/n2n
# The source for this package was pulled from upstream's svn repository.
# git svn clone --no-minimize-url https://svn.ntop.org/svn/ntop/tags/n2n-2.0.1
# (cd n2n-2.0.1 && git archive HEAD --format=tar --prefix=n2n-2.0.1/) | bzip2 - > n2n-2.0.1.tar.bz2
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel

%description
n2n is a layer-two peer-to-peer virtual private network (VPN) which
allows users to exploit features typical of P2P applications at
network instead of application level. This means that users can gain
native IP visibility (e.g. two PCs belonging to the same n2n network
can ping each other) and be reachable with the same network IP address
regardless of the network where they currently belong.  In a nutshell,
as OpenVPN moved SSL from application (e.g. used to implement the
HTTPS protocol) to network protocol, n2n moves P2P from application to
network level.

%prep
%setup -q

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL="install -p" install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README HACKING
%{_sbindir}/edge
%{_sbindir}/supernode
%{_mandir}/man*/*


%changelog
* Tue Apr 6 2011 Hushan Jia <hjia@redhat.com> 2.0.1-3
- remove unnecessary requires

* Tue Apr 5 2011 Hushan Jia <hjia@redhat.com> 2.0.1-2
- fix indentation and a spelling problem of description section

* Mon Apr 4 2011 Hushan Jia <hjia@redhat.com> 2.0.1-1
- initial package
